NTPDC(1)

NOM
ntpdc - Programme de requête NTP spécifique à la distribution

SYNOPSIS
ntpdc [-flag [value]]... [--opt-name [[=| ]value]]...
[ host ...]

DESCRIPTION
Cette page de manuel documente brièvement la commande ntpdc. Le programme utilitaire ntpdc est utilisé pour interroger le démon NTP sur son état actuel et demander des changements de cet état. Il utilise le 7ème mode de contrôle de format des messages NTP décrits dans le code source. Le programme peut être exécuté soit en mode interactif, soit contrôlé, en utilisant des arguments de ligne de commandes. De vastes états et informations de statistiques sont disponibles par l'interface ntpdc. En outre, presque toutes les options de configuration qui peuvent être précisées au démarrage en utilisant le fichier de configuration de ntpd, peuvent également être précisées au moment de l'exécution en utilisant ntpdc.

OPTIONS

-4, --ipv4
    Résolution DNS au format IPv4.
    Cette option fait partie de la classe des options ipv4.

    Forcer la résolution de noms DNS suivants la ligne de commande à l'espace de noms IPv4.

-6, --ipv6
    Résolution DNS au format IPv6.
    Cette option fait partie de la classe des options ipv4.

    Forcer la résolution de noms d'hôtes DNS suivants la ligne de commande à l'espace de noms IPv6.

-c cmd, --command=cmd
    Lancer une commande et quitter.
    Cette option peut apparaître un nombre illimité de fois.

    L'argument qui suit est interprété comme une commande au format interactif et est ajouté à la liste des commandes pour être exécuté sur le ou les hôte(s) spécifié(s).

-l, --listpeers
    Imprimer la liste des pairs.
    Cette option ne doit pas être utilisée avec l'option suivante : command.

    Imprimer une liste des pairs connus pour le serveur comme un résumé de leur état. C'est l'équivalent de la commande interactive listpeers.

-p, --peers
    Imprimer une liste des pairs.
    Cette option ne doit pas être utilisée avec l'option suivante : command.

    Imprimer une liste des pairs connus pour le serveur comme un résumé de leur état. C'est l'équivalent de la commande interactive peers.

-s, --showpeers
    Afficher une liste des pairs.
    Cette option ne doit pas être utilisée avec l'option suivante : command.

    Imprimer une liste des pairs connus pour le serveur comme un résumé de leur état. C'est l'équivalent de la commande interactive dmpeers.

-i, --interactive
    Forcer ntpq à fonctionner en mode interactif.
    Cette option ne doit pas être utilisée avec les options suivantes : command, listpeers, peers, showpeers.

    Forcer ntpq à fonctionner en mode interactif. Le prompt sera écrit sur la sortie standard et les commandes lues sur l'entrée standard.

-d, --debug-level
    Augmenter le niveau de rendement de déboggage des messages. Cette option peut apparaître un nombre illimité de fois.

-D string, --set-debug-level=string
    Règler le niveau de rendement de déboggage des messages.
    Cette option peut apparaître un nombre illimité de fois.

    Peut être fournie plusieurs fois, mais chaque valeur prime sur la ou les précédente(s).

-n, --numeric
    Adresses d'hôtes numérique.

    Sortie de toutes les adresses hôte en format numérique pointillé plutôt que de la conversion en noms d'hôtes canonique.

-?, -_-help
    Afficher l'aide et quitter.

-!, -_-more-help
    Afficher les informations détaillées.

-> [fichierrc], --save-opts[=fichierrc]
    Enregistrer l'état d'options du fichierrc. La valeur par défaut est le dernier fichier de configuration énuméré dans la section OPTIONS DE PRÉRÉGLAGE, ci-dessous.

-< fichierrc, --load-opts=fichierrc, --no-load-opts
    Charge les options du fichierrc. La forme no-load-opts désactive le chargement de fichiers RC/INI. --no-load-opts est traitée au début, hors service.

-v [{v|c|n}], --version[={v|c|n}]
    Afficher la version du programme et quitter. Le mode par défaut est « v », juste le numéro de version. Le mode « c » affichera les informations de droits d'auteur et « n » affichera la notice complète des droits d'auteur.

OPTIONS DE PRÉRÉGLAGE
Toute option qui n'est pas marquée comme not presettable peut être préréglée par chargement de valeurs de fichiers de configuration ("RC" ou ".INI") et valeurs de variables d'environnement nommées :
  NTPDC_<option-name> ou NTPDC .
Les préréglages de l'environnement sont traités après les fichiers de configuration. Les dossiers homerc sont "$HOME", et ".". Si aucun d'eux ne sont des répertoires, le fichier .ntprc est recherché dans les répertoires.

AUTEUR
David L. Mills et/ou autres.
Veuillez signaler les bogues à : http://bugs.ntp.isc.org, bugs@ntp.org

Voir html/copyright.html

Cette page de manuel a été auto-générée à partir les définitions d'options de ntpdc.

TRADUCTION
Ce document est une traduction réalisée par David Montanes <montanes DOT david AT gmail DOT com> le 21 avril 2008 et révisée le 25 avril 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 ntpdc ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.